﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="LinkCategoriesAdd.aspx.cs" Inherits="simpleBlog.WebForm10" Title="Pridať kategóriu" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <asp:Label ID="Label1" runat="server" Text="<%$ Resources: Default, AddCategory %>"></asp:Label></h2>
    <asp:SqlDataSource ID="SqlDataSource5" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [link_categories] WHERE [id] = @id" InsertCommand="INSERT INTO [link_categories] ([title]) VALUES (@title)"
        SelectCommand="SELECT * FROM [link_categories]" UpdateCommand="UPDATE [link_categories] SET [title] = @title WHERE [id] = @id">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="title" Type="String" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="id" DataSourceID="SqlDataSource5"
        DefaultMode="Insert" OnItemInserted="redirect" OnItemUpdated="redirect">
        <EditItemTemplate>
            <%= Resources.Default.TitleLabel %>:
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="titleTextBox"
                ErrorMessage="<%$ Resources: Default, Required %>"></asp:RequiredFieldValidator>
            <br />
            <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>' Width="200px" />
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                Text="Uložiť" Visible="false" />
            <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="True" CommandName="Update"
                ImageUrl="~/gfx/ulozit.jpg" />
        </EditItemTemplate>
        <InsertItemTemplate>
            <%= Resources.Default.TitleLabel %>:&nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server"
                ControlToValidate="titleTextBox" ErrorMessage="<%$ Resources: Default, Required %>"></asp:RequiredFieldValidator>
            <br />
            <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>' Width="200px" />
            <br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                Text="Vložiť" Visible="false" />
            <asp:ImageButton ID="ImageButton3" runat="server" CausesValidation="True" CommandName="Insert"
                ImageUrl="~/gfx/vlozit.jpg" />
        </InsertItemTemplate>
        <ItemTemplate>
            id:
            <asp:Label ID="idLabel" runat="server" Text='<%# Eval("id") %>' />
            <br />
            title:
            <asp:Label ID="titleLabel" runat="server" Text='<%# Bind("title") %>' />
            <br />
            <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                Text="Edit" />
            &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                Text="Delete" />
            &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New"
                Text="New" />
        </ItemTemplate>
    </asp:FormView>
</asp:Content>
