﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="Images.aspx.cs" Inherits="simpleBlog.Admin.WebForm6" Title="Obrázky" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <%= Resources.Default.Images %></h2>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [tb_img] WHERE [idimg] = @idimg" InsertCommand="INSERT INTO [tb_img] ([img]) VALUES (@img)"
        SelectCommand="SELECT * FROM [tb_img] ORDER BY [idimg] DESC" UpdateCommand="UPDATE [tb_img] SET [img] = @img WHERE [idimg] = @idimg">
        <DeleteParameters>
            <asp:Parameter Name="idimg" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="img" Type="Object" />
            <asp:Parameter Name="idimg" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="img" Type="Object" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AutoGenerateColumns="False"
        CellPadding="4" DataKeyNames="idimg" DataSourceID="SqlDataSource1" ForeColor="#333333"
        GridLines="None">
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <Columns>
            <asp:BoundField DataField="filename" HeaderText="<%$ Resources: Default, Filename %>" InsertVisible="False"
                ReadOnly="True" SortExpression="filename">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="220px" HorizontalAlign="Left" />
            </asp:BoundField>
            <asp:ImageField DataAlternateTextField="filename" DataImageUrlField="idimg" DataImageUrlFormatString="~/getImage.aspx?ID={0}&Thumbnail=1"
                HeaderText="<%$ Resources: Default, Image %>" ReadOnly="True">
                <HeaderStyle HorizontalAlign="Center" />
                <ItemStyle Width="200px" HorizontalAlign="Center" />
            </asp:ImageField>
            <asp:CommandField DeleteText="<%$ Resources: Default, Delete %>" ShowDeleteButton="True" ButtonType="Image"
                DeleteImageUrl="~/gfx/zmazat.jpg">
                <ItemStyle Width="50px" ForeColor="#3B6EBF" />
            </asp:CommandField>
        </Columns>
        <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
    </asp:GridView>
    <br />
    <br />
    <h2>
        <%= Resources.Default.AddImage %></h2>
    <input id="Upload" type="file" size="28" name="Upload" runat="server" /><br />
    <br />
    <strong><%= Resources.Default.Size %></strong>
    <asp:RadioButtonList ID="velkost" runat="server">
        <asp:ListItem Selected="True" Value="maxWidthSmall" Text="<%$ Resources: Default, Small %>"></asp:ListItem>
        <asp:ListItem Value="maxWidthMedium" Text="<%$ Resources: Default, Medium %>"></asp:ListItem>
        <asp:ListItem Value="maxWidthBig" Text="<%$ Resources: Default, Large %>"></asp:ListItem>
        <asp:ListItem Value="noresize" Text="<%$ Resources: Default, Original %>"></asp:ListItem>
    </asp:RadioButtonList>
    <asp:ImageButton ID="ImageButton1" runat="server" OnClick="Button1_Click" ImageUrl="~/gfx/vlozit.jpg" />
    <!--<asp:Button ID="Button1" runat="server" Text="Nahrať" onclick="Button1_Click" />-->
</asp:Content>
